Bug 13853 - The configure check for makedev() is incorrect on Linux
The configure check for makedev() is incorrect on Linux
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.8.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-21 10:58 UTC by Andreas Schneider
Modified: 2019-04-03 10:34 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.10 (875 bytes, patch)
2019-03-22 08:13 UTC, Andreas Schneider
slow: review+
Details
patch for 4.9 (875 bytes, patch)
2019-03-22 08:13 UTC, Andreas Schneider
slow: review+
Details
patch for 4.8 (875 bytes, patch)
2019-03-22 08:14 UTC, Andreas Schneider
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2019-03-21 10:58:17 UTC
The function makedev() is defined in <sys/sysmacros.h>. However we do not include that file on Linux when we check for the function and the detection fails.

This means that smb_unix_mknod() and cli_posix_stat_done() are not working correctly. This mean SMB1 unix extensions are broken.

Discovered with samba3.smbtorture_s3.plain.CLEANUP3 test on Fedora and openSUSE.
Comment 1 Andreas Schneider 2019-03-21 11:10:12 UTC
https://gitlab.com/samba-team/samba/merge_requests/319
Comment 2 Andreas Schneider 2019-03-22 08:13:32 UTC
Created attachment 14979 [details]
patch for 4.10
Comment 3 Andreas Schneider 2019-03-22 08:13:54 UTC
Created attachment 14980 [details]
patch for 4.9
Comment 4 Andreas Schneider 2019-03-22 08:14:17 UTC
Created attachment 14981 [details]
patch for 4.8
Comment 5 Ralph Böhme 2019-03-22 08:46:38 UTC
Reassigning to Karolin for inclusion in 4.9 and 4.10.

Can we also push this to 4.8? Iirc 4.8 is security only now...
Comment 6 Karolin Seeger 2019-03-28 08:35:04 UTC
(In reply to Ralph Böhme from comment #5)
Pushed to autobuild-v4-{10,9,8}-test.
(there will be a last 4.8 bugfix release)
Comment 7 Andreas Schneider 2019-04-02 06:02:13 UTC
Karolin, I don't see this in v4-10-test yet. Just want to make sure that this will get it :-)
Comment 8 Karolin Seeger 2019-04-02 08:06:06 UTC
(In reply to Andreas Schneider from comment #7)
Pushed to v4-9-test and v4-8-test, pushed again to autobuild-v4-10-test.
Comment 9 Karolin Seeger 2019-04-03 10:34:23 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to v4-10-test.
Closing out bug report.

Thanks!